TugusDeveloper Docs
API Reference

KPI summary

GET
/properties/{property}/analytics/summary

Key metrics (purchases, add-to-carts, pageviews, revenue, unique visitors) for the selected period.

Authorization

bearerAuth
AuthorizationBearer <token>

Personal Access Token — create in the dashboard under Account → API Tokens. Tokens have a configurable scope (read / write / admin).

In: header

Path Parameters

property*string

Property ID.

Query Parameters

from?string

Start date (ISO 8601).

Formatdate
to?string

End date (ISO 8601).

Formatdate

Response Body

application/json

curl -X GET "https://example.com/properties/string/analytics/summary"
{  "data": {    "period": {      "from": "2026-03-01",      "to": "2026-03-31"    },    "kpis": {      "purchases": 252,      "add_to_carts": 2605,      "pageviews": 190300,      "revenue": 37947,      "unique_visitors": 38400    }  }}